using System;
using System.Windows.Forms;
using System.Drawing;
using DockApp;

namespace DockApp
{
	/// <summary>
	/// Demonstration of building a simple dockapp.
	/// </summary>
	public class SimpleDockApp : DockApp
	{
		public SimpleDockApp() 
		{
			AboutText = "Simple DockApp Demonstration\nFramework by Nelson Minar <nelson@monkey.org>";
			Text = "Simple DockApp";
		}

		override protected void paint(object sender, PaintEventArgs e) 
		{
			offScreenGraphics.Clear(Color.FromArgb(0x60, 0x40, 0x60));
			Font font = new Font("Arial", 8);
			SolidBrush brush = new SolidBrush(Color.White);
			offScreenGraphics.DrawString("Simple\nDockApp\n\nnelson@\nmonkey.org", font, brush, 0, 1);
			base.paint(sender, e);
		}

		[STAThread]
		static void Main() 
		{
			Application.Run(new SimpleDockApp());
		}
	}
}
